let test_char_reader in_file = 
  let chars = CharReader.charReader_of_in_channel in_file in
    while CharReader.current_char chars <> None do
      let Some(c) = CharReader.current_char chars in
      let (li,co) = CharReader.get_position chars in
	CharReader.next_char chars;
	print_int li;
	print_string " ";
	print_int co;
	print_string " ";
	print_string (String.make 1 c);
	print_newline()
    done

let main () =
  Arg.parse ["-char",Arg.String(function filename -> test_char_reader (open_in filename)),"test the char reader on the given file";
	     "-scanner",Arg.String(function filename -> Scanner.main (open_in filename)),"test the scanner phase on the given file";
	    ]
    (fun str -> prerr_string "Ignored argument: ";prerr_string str;prerr_newline())
    "drei compiler"

let _ = main ()
